Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

Failure:

IssuesControllerTest#test_index_csv_with_all_columns [/redmine/test/functional/issues_controller_t

est.rb:878]:

Expected: "text/csv" 

  Actual: "text/csv; header=present" 

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20887 - 2021-04-01 16:59 - Go MAEDA

Rails 6.1: add header=present to csv tests (#29914, #32921).

Patch by Pavel Rosický.

History

#1 - 2020-01-29 23:14 - Pavel Rosický

- File csvheaders2.patch added

#2 - 2020-01-30 08:21 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2020-01-31 09:38 - Marius BĂLTEANU

Pavel, maybe you have a clue because I can't find or understand why media_type returns "text/csv; header=present" and not only text/csv as is

explained here.

#4 - 2020-01-31 11:27 - Pavel Rosický

yeah, because the documentation is obsolete, it was changed here https://github.com/rails/rails/pull/37017

#5 - 2020-01-31 14:54 - Marius BĂLTEANU

- File 0001-Rails-6-add-header-present-to-csv-tests.patch added

- Target version set to 5.0.0

Pavel Rosický wrote:

yeah, because the documentation is obsolete, it was changed here https://github.com/rails/rails/pull/37017

 Thanks, it's clear now. Your patches look good to me and the failing tests because of this are passing now. I'm attaching a merged version of your

patches.

#6 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support
https://github.com/rails/rails/blob/master/guides/source/upgrading_ruby_on_rails.md#actiondispatchresponsecontent_type-now-returns-the-content-type-header-without-modification
https://github.com/rails/rails/pull/37017
https://github.com/rails/rails/pull/37017


#7 - 2021-03-30 18:31 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#8 - 2021-03-31 08:24 - Marius BĂLTEANU

- Target version deleted (5.0.0)

#9 - 2021-04-01 16:59 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

csvheaders.patch 8.12 KB 2020-01-29 Pavel Rosický

csvheaders2.patch 7.9 KB 2020-01-29 Pavel Rosický

0001-Rails-6-add-header-present-to-csv-tests.patch 9.39 KB 2020-01-31 Marius BĂLTEANU
